Ubuntu

Please enable CONFIG_[HARD]LOCKUP_DETECTOR

Reported by Michael on 2011-12-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Wishlist
Tim Gardner
Precise
Wishlist
Tim Gardner

Bug Description

I mentioned this in bug 888762 comment 6. I really see no advantage to hanging a machine hard over rebooting it and potentially (once that works again) getting a crash dump.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-generic 3.0.0.13.15
ProcVersionSignature: Ubuntu 3.0.0-13.22-generic 3.0.6
Uname: Linux 3.0.0-13-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: michael 1899 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6960000 irq 45'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:111d76d5,1028040a,00100104 HDA:14f12c06,14f1000f,00100000 HDA:80862804,80860101,00100000'
   Controls : 19
   Simple ctrls : 11
Date: Tue Dec 13 10:08:00 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Dell Inc. Latitude E6410
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-13-generic root=UUID=062b1769-7309-4422-a59c-ad30b109d53c ro crashkernel=384M-2G:64M,2G-:128M quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-13-generic N/A
 linux-backports-modules-3.0.0-13-generic N/A
 linux-firmware 1.60
SourcePackage: linux
UpgradeStatus: Upgraded to oneiric on 2011-09-27 (77 days ago)
WifiSyslog: Dec 13 10:06:58 michael-latitude-e6410 NetworkManager[1092]: <info> kernel firmware directory '/lib/firmware' changed
dmi.bios.date: 08/23/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A10
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA10:bd08/23/2011:svnDellInc.:pnLatitudeE6410:pvr0001:rvnDellInc.:rn:rvr:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6410
dmi.product.version: 0001
dmi.sys.vendor: Dell Inc.

Michael (michaeljt) wrote :
Brad Figg (brad-figg) on 2011-12-13
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Wishlist
status: Confirmed → Triaged
tags: added: kconfig
Tim Gardner (timg-tpi) on 2011-12-14
Changed in linux (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-5.11

---------------
linux (3.2.0-5.11) precise; urgency=low

  [ Andy Whitcroft ]

  * enforcer -- allow arch and flavour predicates to take lists
  * enforcer -- simplify armel/armhf specific options
  * enforcer -- fix incorrectly specified flavour matches

  [ Leann Ogasawara ]

  * [Config] Disable IRQ_REMAP
  * [Config] Enable CONFIG_SENSORS_LM95245=m
  * [Config] Enable CONFIG_SENSORS_MAX1668=m
  * [Config] Enable CONFIG_SENSORS_NTC_THERMISTOR=m
  * [Config] Enable CONFIG_SENSORS_MAX6639=m
  * [Config] Enable CONFIG_SENSORS_MAX6642=m
  * [Config] Enable CONFIG_SENSORS_LINEAGE=m
  * [Config] Enable CONFIG_CRYPTO_SALSA20=m
  * [Config] Enable CONFIG_PATA_TOSHIBA=m
  * [Config] Enable CONFIG_POHMELFS=m
  * [Config] Enable CONFIG_NET_PACKET_ENGINE=y
  * [Config] Enable CONFIG_PATA_OPTI=m
  * add overlayfs to virtual inclusion list
    - LP: #903897
  * add veth to virtual inclusion list
    - LP: #903897
  * SAUCE: resolve WARNING: at drivers/block/floppy.c:2929 do_fd_request

  [ Paolo Pisati ]

  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346

  [ Tim Gardner ]

  * [Config] CONFIG_LOCKUP_DETECTOR=y
    - LP: #903615

  [ Upstream Kernel Changes ]

  * rebase to upstream 55b02d2f
 -- Leann Ogasawara <email address hidden> Mon, 12 Dec 2011 07:08:10 -0800

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Michael (michaeljt) wrote :

Great. Any chance of a fix in Oneiric?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints